@charset "utf-8";


/* ============================
プロダクトの特徴
============================ */

.top-hero {
    max-width: 1500px;
    background-image: url(../img/hero-image_base_pc.jpg);
    background-repeat: no-repeat;
    background-size: contain;
    position: relative;
    width: 100%;
    height: auto;
    margin: 0 auto;
    /* position: fixed; */
    z-index: 98;
}

/* .top-hero-picture {
    position: absolute;
    z-index: 99;
    top: 0;
    right: 0;
} */

.top-hero-image-01 {
    /* position: absolute; */
    z-index: 99;
    top: 0;
    right: 0;
}

.top-hero-image-02 {
    position: absolute;
    z-index: 99;
    top: 0;
    right: 0;
}

/* .hero-picture {} */

/* .hero-image {} */


@media screen and (max-width: 600px) {
    .top-hero {
        background-image: url(../img/hero-image_base_sp.jpg);
    }
}


/* ============================
カルーセル
============================ */

.carousel-wrapper {
    margin: 1rem auto;
    background-color: #efe3dd;
    /* max-width: 1500px; */
}

.carousel {
    margin: 0 auto;
    max-width: 1200px;
    background-color: #efe3dd;
    padding: 2rem 0;
    display: flex;
    flex-direction: row;
    overflow: hidden;
}

.carousel-list {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-shrink: 0;
    animation: carousel-flow both 20s 1s infinite linear;
}

.carousel-item {
    border: #efe3dd 2px solid;
    width: 20%;
    flex-shrink: 0;
}

.carousel-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

@keyframes carousel-flow {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-100%);
    }
}

@media screen and (max-width: 550px) {

    .carousel {
        padding: 0.5rem 0;
    }

    .carousel-list {
        width: 100%;
        display: flex;
        flex-direction: row;
        flex-shrink: 0;
        animation: carousel-flow both 10s 1s infinite linear;
    }

    .carousel-item {
        width: 33.3%;
    }
}


/* ============================
トップページ main
============================ */


.top-main {
    margin: 0 auto;
    max-width: 1300px;
}

.top-hero-picture-01 {
    animation-name: fadeIn;
    animation-duration: 2.5s;
    animation-timing-function: cubic-bezier(0.33, 1, 0.68, 1);
    animation-fill-mode: forwards;
    animation-delay: 0.5s;
    opacity: 0;
    width: 100%;
}

.top-hero-picture-02 {
    animation-name: fadeIn;
    animation-duration: 2.5s;
    animation-timing-function: cubic-bezier(0.33, 1, 0.68, 1);
    animation-fill-mode: forwards;
    animation-delay: 1.0s;
    opacity: 0;
    width: 100%;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* .top-hero-image-01 {} */

.son-sentence {
    margin: 2rem auto;
}

.top-headline {
    display: inline-block;
    line-height: 2;
    border-bottom: red solid 3px;
    font-size: clamp(22px, 3vw, 32px);
}

.top-line-up {
    margin: 2rem auto;
    max-width: 900px;
    display: flex;
    justify-content: center;
    align-items: start;
    flex-wrap: wrap;
    gap: 1rem;
}

.top-line-up-list {
    width: 30%;
    /* border-radius: 10px; */
    overflow: hidden;
}

.top-line-up-link {
    display: block;
    border-radius: 10px;
    overflow: hidden;
}

.top-line-up-image {
    overflow: hidden;
    border-radius: 10px;
    transition: transform 0.3s
}

.top-line-up-image:hover {
    transform: scale(1.1);
}

.contents-section.top {
    margin: 4rem auto;
}

.function-headline.top {
    width: 60%;
}

@media screen and (max-width: 600px) {

    .son-sentence {
        margin: 0 auto 1rem;
    }

    .top-headline {
        font-size: clamp(18px, 2.2vw, 24px);
        /* padding: 0 1rem; */
    }

    .description.top {
        text-align: left;
    }

    .top-line-up {
        margin: 2rem auto;
    }

    .top-line-up-list {
        width: 46%;
        /* border-radius: 10px; */
        overflow: hidden;
    }

    .contents-section.top {
        margin: 2rem auto;
        padding: 0 1rem;
    }

    .function-headline.top {
        width: 70%;
    }
}

/* ============================
グリッド・カード
============================ */

.grid-container {
    margin: 2rem auto;
    padding: 1rem;
    max-width: 1100px;
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    gap: 1rem;
}

/* .grid-item {} */

.grid-card {
    border-radius: 10px;
    box-shadow: #555 0px 0px 3px;
    overflow: hidden;
    transition: box-shadow 0.3s;
}

.grid-card:hover {
    box-shadow: #555 0px 0px 10px;
}


.card-link {
    color: #333;
}

.card-headline {
    font-size: clamp(16px, 1.5vw, 18px);
    padding: 1.5rem 0.5rem;
}

/* .card-image {} */

@media screen and (max-width: 600px) {
    .grid-container {
        margin: 2rem auto;
        padding: 1rem;
        max-width: 1100px;
        display: grid;
        grid-template-columns: 1fr;
        gap: 1rem;
    }

    /* .grid-item {
        width: 90%;
    } */

    .grid-card {
        transition: box-shadow 0.3s;
    }

    .grid-card:hover {
        box-shadow: #555 0px 0px 10px;
    }


    .card-link {
        color: #333;
    }

    .card-headline {
        font-size: clamp(15px, 1.5vw, 17px);
        padding: 1.5rem 0.5rem;
    }

}


/* ============================
グローブ比較表
============================ */

.scroll-wrapper {
    position: relative;
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch;
    cursor: grab;
    user-select: none;
    /* width: 100%; */
    padding: 2rem;
}

.scroll-wrapper.active {
    cursor: grabbing;
}

.scroll-wrapper img {
    width: 80%;
    /* height: 350px; */
    /* width: auto; */
    /* スマホ幅より大きくする */
    max-width: none;
    pointer-events: none;
}

/* ヒント表示 */
.scroll-hint {
    display: none;
    position: absolute;
    top: 35%;
    left: 30%;
    background: rgba(0, 0, 0, 0.637);
    color: #fff;
    padding: 5% 10%;
    border-radius: 6px;
    font-size: 18px;
    /* 画像操作の邪魔をしない */
    pointer-events: none;
    /* 点滅 */
    animation: scroll-hint 1.1s ease-in-out infinite;
    z-index: 999;
    /* opacity: 1;
    transition: opacity 0.8s; */
}

.scroll-hint.fadeout {
    display: none;
}

/* フェードアウトアニメーション */
@keyframes scroll-hint {

    0%,
    100% {
        opacity: 1;
    }

    50% {
        opacity: 0.7;
    }
}

@media screen and (max-width: 600px) {
    .scroll-wrapper {
        overflow-x: auto;
        padding: 1rem;
    }

    .scroll-wrapper img {
        /* width: 1500px; */
        height: 700px;
        width: auto;
    }

    /* ヒント表示 */
    .scroll-hint {
        display: block;
        position: absolute;
        top: 35%;
        left: 15%;
        padding: 5% 10%;
        font-size: 16px;
        font-weight: normal;
    }

    .scroll-hint.fadeout {
        display: none;
    }
}


/* ============================
YouTube
============================ */

.movie {
    width: 100%;
    padding: 1rem;
}

.movie-wrap {
    width: 100%;
    max-width: calc(810px + 8rem);
    /* padding: 0 2rem; */
    margin: 0 auto;
    border-radius: 10px;
}

.movie-iframeWrap {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 56.35%;
}

.movie-iframeWrap iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

@media screen and (max-width: 767px) {
    .movie {
        padding-bottom: 0.5rem;
    }

    .movie-wrap {
        max-width: 100%;
    }
}